org.apache.maven.scm.provider.local.metadata

## Class LocalScmMetadata

- java.lang.Object
- - org.apache.maven.scm.provider.local.metadata.LocalScmMetadata

- All Implemented Interfaces:
    Serializable

      public class LocalScmMetadata
      extends Object
      implements Serializable

  Class LocalScmMetadata.
  Version:
    $Revision$ $Date$
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalScmMetadata()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRepositoryFileName(String string)` Method addRepositoryFileName.
    `String` | `getModelEncoding()` Get the modelEncoding field.
    `List` | `getRepositoryFileNames()` Method getRepositoryFileNames.
    `void` | `removeRepositoryFileName(String string)` Method removeRepositoryFileName.
    `void` | `setModelEncoding(String modelEncoding)` Set the modelEncoding field.
    `void` | `setRepositoryFileNames(List repositoryFileNames)` Set the list of filenames contained in the repository during last checkout or update operation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalScmMetadata

          public LocalScmMetadata()

  - ### Method Detail

    - #### addRepositoryFileName

          public void addRepositoryFileName(String string)

      Method addRepositoryFileName.
      Parameters:
        `string` -

    - #### getModelEncoding

          public String getModelEncoding()

      Get the modelEncoding field.
      Returns:
        String

    - #### getRepositoryFileNames

          public List getRepositoryFileNames()

      Method getRepositoryFileNames.
      Returns:
        List

    - #### removeRepositoryFileName

          public void removeRepositoryFileName(String string)

      Method removeRepositoryFileName.
      Parameters:
        `string` -

    - #### setModelEncoding

          public void setModelEncoding(String modelEncoding)

      Set the modelEncoding field.
      Parameters:
        `modelEncoding` -

    - #### setRepositoryFileNames

          public void setRepositoryFileNames(List repositoryFileNames)

      Set the list of filenames contained in the repository during last checkout or update operation.
      Parameters:
        `repositoryFileNames` -

Copyright © 2003–2015. All rights reserved.